#!/usr/bin/env node
"use strict";
// eslint-disable-next-line @typescript-eslint/triple-slash-reference
/// <reference path="./serverless.d.ts" />
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const yargs_1 = tslib_1.__importDefault(require("yargs"));
const runWithEnvVars_1 = require("./runWithEnvVars");
const logOptions = ['off', 'sls', 'all'];
const program = yargs_1.default
    .options('stage', {
    type: 'string',
    defaultDescription: 'Stage to configure environment variables for',
})
    .options('log', { choices: logOptions, default: 'off' })
    .options('watch', { type: 'boolean', default: false })
    .options('namespace', {
    type: 'string',
    description: 'Add a namespace to configured environment variables like SNOWPACK_PUBLIC or VITE',
});
const { stage, log, watch, namespace, _ } = program.argv;
const [cmd, ...args] = _.map((x) => x.toString());
(0, runWithEnvVars_1.runWithEnvVars)({ cmd, args, stage, log, watch, namespace }).catch((error) => {
    console.error(error);
    process.exitCode = 1;
});
//# sourceMappingURL=cli.js.map