"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnvVars = void 0;
const createServerless_1 = require("./createServerless");
/**
 * Retrieve an Record of all the environment variables set by serverless, including any plugins.
 */
async function getEnvVars(opts = {}) {
    var _a;
    const [serverless, config] = await (0, createServerless_1.createServerless)(opts);
    const vars = Object.assign({}, (_a = config.provider.environment) !== null && _a !== void 0 ? _a : {}, ...Object.values(serverless.service.functions).map((f) => f.environment || {}));
    return vars;
}
exports.getEnvVars = getEnvVars;
//# sourceMappingURL=getEnvVars.js.map